79trust / 100

Endpoints

by Settled in Security & trust

x402 APIPassing, checked 5 min ago

Ranked list of live x402 endpoints (top 50) filtered by keyword, network and max price, ordered by Settled quality score. Use it to find a working alternative to a dead or overpriced endpoint.

GET https://settled.tools/v1/endpoints

Last 30 days

All checks passedSome failedAll failedNot checked
Uptime
100%
Response time
624 ms typical, 868 ms slowest 5%
Last check
5 min ago
Next check
in 27 min

How to call it

# See the payment challenge (nothing is charged)
curl -i -X GET "https://settled.tools/v1/endpoints?limit=20&max_price=0.01&network=eip155%3A8453&q=search"
import { wrapFetchWithPayment } from "@x402/fetch";
import { x402Client } from "@x402/core/client";
import { ExactEvmScheme } from "@x402/evm/exact/client";
import { privateKeyToAccount } from "viem/accounts";

const client = new x402Client().register(
  "eip155:8453",
  new ExactEvmScheme(privateKeyToAccount(process.env.AGENT_KEY)),
);
const pay = wrapFetchWithPayment(fetch, client);

// Not sure it's safe to pay? Preflight it first for $0.005:
// GET https://toolvet.app/api/v1/check?url=https%3A%2F%2Fsettled.tools%2Fv1%2Fendpoints
const res = await pay("https://settled.tools/v1/endpoints?limit=20&max_price=0.01&network=eip155%3A8453&q=search");
console.log(await res.json());

Example input

{
  "limit": "20",
  "max_price": "0.01",
  "network": "eip155:8453",
  "q": "search"
}

Example output

{
  "count": 2,
  "generated_at": "2026-09-25T15:10:00.000Z",
  "items": [
    {
      "avg_latency_ms": 380,
      "description": "Web search for agents",
      "network": "eip155:8453",
      "price_usd": 0.01,
      "quality": 62,
      "service_name": "Example",
      "status": "live",
      "tags": [
        "search"
      ],
      "url": "https://api.example.com/search"
    }
  ]
}

Security scan

  • No findings. We scan names, descriptions and tool definitions for hidden instructions and other prompt-injection patterns.

Recent checks

WhenResultHTTPTimePrice
5 min agoPassed402595 ms$0.005
4 h agoPassed402721 ms$0.005
7 h agoPassed402713 ms$0.005
11 h agoPassed402574 ms$0.005
15 h agoPassed402557 ms$0.005
18 h agoPassed402638 ms$0.005
23 h agoPassed402477 ms$0.005
26 h agoPassed402624 ms$0.005
29 h agoPassed402868 ms$0.005
34 h agoPassed402952 ms$0.005